/*1.	Escribe en el LCD el prompt >. Recibe del teclado 2 nmeros 
hexadecimales de (00..FF). Este nmero es interpretado como en notacin 
complemento a 2.  Escribe en la posicin (1,0) el equivalente decimal 
(-128..+127). Por ejemplo: si el usuario escribe 23H, el resultado es +35. 
Si escribe 9DH el resultado es -99.*/


#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 
int convert(int a);
#pragma code
int a,b,c;
char array[10];
void main()
{
init_bolt();
InitLCD();
PutLCD('>');
a=GetBot();
PutLCD(a);
a=convert(a);
b=GetBot();
PutLCD(b);
b=convert(b);
c=(a*16 + b);
PORTB=c;
	if (RB7==1)c=c+0xFF00;	//recordando que el nmero es de 16 bits, comp'2.
sprintf(array,"%4d",c);
GotoXY(1,0);
PrintString(array);
	while(1);
} 

int convert(int a)
{
	if(a>64)a=a-55;
	else a=a-48;
	return a;
}

