/*
-Muestra en el LCD el promt > en la posicin (0,0).
-Recibe del teclado un nmero hexadecimal de dos dgitos,
 n=(00...FF), con ECO en el LCD. No se requiere oprimir 
la F para terminar el nmero.
-Muestra en la posicin (1,0) del LCD el equivalente 
binario. Por ejemplo, si el usuario tecle los nmeros 
42, en el LCD se mostrar la cadena: 01000010*/

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 
int conv(int a);
#pragma code

unsigned int i,a,b,c,d;
 
void main(void)
{
init_bolt();
InitLCD();
ClearScreen();
PutLCD('>');
a=GetBot();
PutLCD(a);
b=GetBot();
PutLCD(b);
a=conv(a);
b=conv(b);
c=a*16 + b;
GotoXY(1,0);
	for(i=0;i<8;i++)
	{
	PORTB=c;			//usa PORTB para probar RB7.
		if(RB7==1)
		{
		PutLCD('1');
		}
		else
		{
		PutLCD('0');
		}
	delay_ms(1000);		//retraso para observar bit por bit
	c=c<<1;				//corrimiento a la izquierda
						//para probar el siguiente bit
	}
while(1);
} 

int conv(int a)	//convierte de ASCII a hexadecimal
{
	if (a<65)
	{
	a=a-48;
	}
	else
	{
	a=a-55;
	}
return a;
}

