/*2.2.	 Lee de los dip switches un valor n (0..15) 
y lo escribe en el LCD. Recibe del teclado un valor z 
de 2 enteros y 1 decimal (00.0 a 99.9), con ECO. 
No es necesario teclar 'F' para terminar el nmero. 
La letra A es interpretada como el punto decimal. 
En la posicin (1,0) muestra el resultado de n x z 
en formato de hasta 4 enteros y 1 decimal. Por 
ejemplo si n=5 y z=56.9, mostrar 284.5

El LCD debe mostrar el siguiente formato: 

	5	x	5	6	.	9	=	2	8	4	.	5			
*/



#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code


char valor[10];
char array[10];
float z;
int i,n,entero,decimal;
 
void main()
{
init_bolt();
InitLCD();
n=microsw();
sprintf(array,"%u",n);
PrintString(array);
PutLCD('x');
	for(i=0;i<4;i++)
	{
	valor[i]=GetBot();
	if(valor[i]=='A')valor[i]='.';
	PutLCD(valor[i]);
	}
PutLCD('=');
GotoXY(1,0);
z=atof(valor);
z=z*n;
entero=z;
decimal=(z-entero)*10;
sprintf(array,"%3u.%u",entero,decimal);
PrintString(array);
while(1);
} 



