/*3. Muestra en el LCD, en la posicin (1,0) la ltima lectura 
almacenada en la EEPROM (0..F). Muestra en el LCD el promt > 
en la posicin (0,0). Ingresa 1 dgito hexadecimal m (0..F) a 
travs del teclado, con ECO en el LCD. Lee de los dip switches
un valor n (0..F). Si n = m, almacena este valor en la EEPROM. 
Si n es diferente a m, no almacena el valor en la EEPROM. 
Despus de un retraso de 500 ms, se repite el procedimiento en
forma automtica. Para verificar si la informacin realmente se 
almacen en la EEPROM, debe realizarse la prueba desconectando 
el cable USB del sistema para suspender la alimentacin.*/

#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		//librera sprintf()
#include <stdlib.h>		//libreras atoi(),atof()
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code

int n,m,BOR;
 
void main()
{
init_bolt();
InitLCD();
	while(1)
	{
	GotoXY(1,0);
	BOR=readeeprom(20);
	PutLCD(BOR);
	GotoXY(0,0);
	PutLCD('>');
	m=GetBot();
	PutLCD(m);
	n=microsw();
		if(n<10)n=n+48;
		else n=n+55;	
		if(n==m)writeeeprom(20,n);
	delay_ms(500);
	}
}